<?php
/**
 * The Template Name: Home Page
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Internet Provider
 */

get_header(); ?>

<div id="content">
  <div id="head-banner">
    <?php $internet_provider_querymed = new WP_query('page_id='.esc_attr(get_theme_mod('internet_provider_pageboxes',true)) ); ?>
    <?php while( $internet_provider_querymed->have_posts() ) : $internet_provider_querymed->the_post(); ?>
      <?php if (has_post_thumbnail() ){ ?><?php the_post_thumbnail();?><?php } ?>
      <div class="content-inner-box">
        <?php if ( get_theme_mod('internet_provider_pgboxes_title') != "") { ?>
          <span><?php echo esc_html(get_theme_mod('internet_provider_pgboxes_title','')); ?></span>
        <?php } ?>
        <h2><a href="<?php the_permalink(); ?>"> <?php the_title(); ?></a></h2> 
        <p><?php echo esc_html( wp_trim_words( get_the_content(), 40, '...' ) );  ?></p>
        <div class="pagemore">
          <a href="<?php the_permalink(); ?>">
            <?php esc_html_e('Read More','internet-provider'); ?>
          </a>
        </div>
      </div>
    <?php endwhile; wp_reset_postdata(); ?>
    <div class="clear"></div>
  </div>

  <?php
    $internet_provider_hidepageboxes = get_theme_mod('internet_provider_disabled_pgboxes', '1');
    if( $internet_provider_hidepageboxes == ''){
  ?>
    <div id="services_section" class="text-center">
      <div class="container">
        <div class="row">
          <?php for($p=1; $p<4; $p++) { ?>
          <?php if( get_theme_mod('internet_provider_pageboxes'.$p,false)) { ?>
            <?php $internet_provider_querymed = new WP_query('page_id='.esc_attr(get_theme_mod('internet_provider_pageboxes'.$p,true)) ); ?>
              <?php while( $internet_provider_querymed->have_posts() ) : $internet_provider_querymed->the_post(); ?>
              <div class="col-lg-4 col-md-4">
                <div class="pagecontent">
                  <?php if (has_post_thumbnail() ){ ?>
                    <div class="thumbbx mb-3"><?php the_post_thumbnail();?></div>
                  <?php } ?>
                  <div class="text-inner-box">
                    <h4><?php the_title(); ?></h4>
                    <div class="serv-btn">
                      <a href="<?php the_permalink(); ?>"><?php esc_html_e('Read More','internet-provider'); ?></a>
                    </div>
                  </div>
                </div>
              </div>
            <?php endwhile; wp_reset_postdata(); ?>
          <?php } } ?>
          <div class="clear"></div>
        </div>
      </div>
    </div>
  <?php }?>

  <div class="container">
    <?php while ( have_posts() ) : the_post(); ?>
      <?php the_content(); ?>
    <?php endwhile; // end of the loop. ?>
  </div>
</div>

<?php get_footer(); ?>